org.eclipse.net4j.protocol

## Interface IProtocol2<INFRA_STRUCTURE>

- All Superinterfaces:
    IBufferHandler, ILocationAware, IProtocol<INFRA_STRUCTURE>, IUserAware
  All Known Implementing Classes:
    AuthenticatingSignalProtocol, HeartBeatProtocol, HeartBeatProtocol.Server, Protocol, SignalProtocol

      public interface IProtocol2<INFRA_STRUCTURE>
      extends IProtocol<INFRA_STRUCTURE>

  A `versioned` `protocol`.
  Since:
    4.2
  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.ILocationAware

      `ILocationAware.Location`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `UNSPECIFIED_VERSION`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getVersion()`

    - ### Methods inherited from interface org.eclipse.net4j.protocol.IProtocol

      `getBufferProvider, getChannel, getExecutorService, getInfraStructure, getType, setChannel, setExecutorService, setInfraStructure`

    - ### Methods inherited from interface org.eclipse.net4j.util.security.IUserAware

      `getUserID`

    - ### Methods inherited from interface org.eclipse.net4j.ILocationAware

      `getLocation, isClient, isServer`

    - ### Methods inherited from interface org.eclipse.net4j.buffer.IBufferHandler

      `handleBuffer`

- - ### Field Detail

    - #### UNSPECIFIED_VERSION

          static final int UNSPECIFIED_VERSION

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getVersion

          int getVersion()

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html